"no public key available for the following key IDs: 63F7D4AFF6D61D45" when doing apt-get update

  • I am getting this error (1).

    Here they are saying: (2).

    Could someone have a look please? Thank you!

    (1)
    ubuntu 14.04, 32bit:
    Es wurden 597 kB in 22 s geholt (26,2 kB/s).
    Paketlisten werden gelesen... Fertig

    W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
    63F7D4AFF6D61D45

    (2)

    "I think 63F7D4AFF6D61D45 (or just F6D61D45) is a gpg key for the Opera repo, but from what I'm seeing it's not yet on a keyserver so checkaptgpg can't fix the error.

    The old key (A8492E35) was to expire on 2015-07-03 -- two days from now, so the error is showing up a little bit early."

  • today I get for an "apt-get update":

    W: GPG-Fehler: http://deb.opera.com stable InRelease: Die folgenden Signaturen waren ungültig: KEYEXPIRED 1435908620 KEYEXPIRED 1435908620 KEYEXPIRED 1435908620 Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY 63F7D4AFF6D61D45

  • Install a package from http://www.opera.com, and you should get the new public key with it.

  • There is no newer package than what I have already: opera_12.16.1860_i386.deb
    reinstalled via dpkg anyways over it
    But still the error persists 😞

    Here (1) I see some instructions, but it also says:
    "The following is almost certainly not needed."
    Should I try those?

    (1) http://deb.opera.com/manual.html

  • If you're still on Opera 12.16 you'll not get updates in any case, but yes, those steps will stop the error.

    I see you're on 32-bit. There are newer development versions of Opera for 32-bit Linux available (but no stable version yet) from here: http://blogs.opera.com/desktop/2015/06/opera-developer-32-0-1910-0-bookmarks-tree-view-heart-popup-and-synchronization-improvements/.

  • Thanks, I will try this out

  • On Debian-based distros the easiest solution is:

    apt-key adv --recv-keys --keyserver keys.gnupg.net 63F7D4AFF6D61D45
    

    I found that Opera 12 conflicts with Opera Stable, but installing Opera Next is possible and it is the same build 12.16.1860. It uses ~/.opera-next as the configuration directory, so you might want to create a symbolic link at ~/.opera if copying an existing profile.

  • just issue this command on any Debian/Ubuntu-based system:

    wget -O - http://deb.opera.com/archive.key | apt-key add -
    

    and everything will be fine! 😉 🐧 🆙 \m/

    Resolving deb.opera.com (deb.opera.com)... 185.26.183.130
    Connecting to deb.opera.com (deb.opera.com)|185.26.183.130|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 3152 (3.1K) [application/pgp-keys]
    Saving to: ‘STDOUT’

    •               100%[=============================================>]   3.08K  --.-KB/s    in 0s      
      

    2016-09-10 04:41:08 (25.3 MB/s) - written to stdout [3152/3152]

    OK

Log in to reply
 

Looks like your connection to Opera forums was lost, please wait while we try to reconnect.